<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'zinginternal',

    /*
     * Package.
     */
    'package'   => 'onboard',

    /*
     * Modules.
     */
    'modules'   => ['onboard'],

    
    'onboard'       => [
        'model' => [
            'model' => \Zinginternal\Onboard\Models\Onboard::class,
            'repository' => \Zinginternal\Onboard\Repositories\Eloquent\OnboardRepository::class,
            'table' => 'onboards',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'restaurant_id',  'web_service',  'domain_plan',  'hosting_only_type',  'web_name',  'web_email',  'web_phone',  'web_notes',  'menu_image',  'menu_link',  'menu_notes',  'qr_from_zing',  'third_party_delivery',  'rest_catering',  'tablet_plan',  'promo_code',  'setup_fee',  'addon_device',  'marketing_service',  'popular_menu_items',  'have_gmb',  'phone_service',  'phone_custom_content',  'additional_notes',  'restaurant_app_plan',  'app_fee',  'addon_equipment',  'premium_marketing',  'catering_menu_link',  'catering_menu_image',  'stock_images',  'images_of_food',  'food_image_notes',  'seo_phrases',  'support_checklist',  'rest_status',  'support_notes',  'review_mail_html',  'review_mail_sent',  'welcome_mail_html',  'welcome_mail_sent',  'account_manager_id',  'assigned_user_id',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'onboard/onboard',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Zinginternal',
            'package' => 'Onboard',
            'module' => 'Onboard',
        ],
    ],
];
