<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOnboardsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: onboards
         */
        Schema::create('onboards', function ($table) {
            $table->increments('id');
            $table->integer('restaurant_id')->nullable();
            $table->enum('web_service', ['zing_website','hosting_only','order_button'])->nullable();
            $table->enum('domain_plan', ['.site','.website','.com_and_other'])->nullable();
            $table->enum('hosting_only_type', ['add_a_record','zing_as_user'])->nullable();
            $table->string('web_name', 255)->nullable();
            $table->string('web_email', 255)->nullable();
            $table->string('web_phone', 255)->nullable();
            $table->text('web_notes')->nullable();
            $table->text('menu_image')->nullable();
            $table->text('menu_link')->nullable();
            $table->text('menu_notes')->nullable();
            $table->enum('qr_from_zing', ['Yes','No'])->nullable();
            $table->enum('third_party_delivery', ['No','Yes'])->nullable();
            $table->enum('rest_catering', ['Yes','No'])->nullable();
            $table->enum('tablet_plan', ['zing_tablet','self_tablet'])->nullable();
            $table->string('promo_code', 255)->nullable();
            $table->decimal('setup_fee', 10,2)->nullable();
            $table->text('addon_device')->nullable();
            $table->enum('marketing_service', ['Yes','No'])->nullable();
            $table->text('popular_menu_items')->nullable();
            $table->enum('have_gmb', ['Yes','No'])->nullable();
            $table->enum('phone_service', ['Yes','No'])->nullable();
            $table->text('phone_custom_content')->nullable();
            $table->text('additional_notes')->nullable();
            $table->enum('restaurant_app_plan', ['quarter','annual'])->nullable();
            $table->decimal('app_fee', 10,2)->nullable();
            $table->text('addon_equipment')->nullable();
            $table->enum('premium_marketing', ['Yes','No'])->nullable();
            $table->text('catering_menu_link')->nullable();
            $table->text('catering_menu_image')->nullable();
            $table->enum('stock_images', ['Yes','No'])->nullable();
            $table->text('images_of_food')->nullable();
            $table->text('food_image_notes')->nullable();
            $table->text('seo_phrases')->nullable();
            $table->text('support_checklist')->nullable();
            $table->enum('rest_status', ['Onboarding','Google Access','Account Change Requested','Live','Non Active'])->nullable();
            $table->text('support_notes')->nullable();
            $table->text('review_mail_html')->nullable();
            $table->enum('review_mail_sent', ['No','Yes'])->nullable();
            $table->text('welcome_mail_html')->nullable();
            $table->enum('welcome_mail_sent', ['Yes','No'])->nullable();
            $table->integer('account_manager_id')->nullable();
            $table->integer('assigned_user_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('onboards');
    }
}
