<?php

namespace Zinginternal\Onboard\Seeders;

use DB;
use Illuminate\Database\Seeder;

class OnboardTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('onboards')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'onboard.onboard.view',
                'name'      => 'View Onboard',
            ],
            [
                'slug'      => 'onboard.onboard.create',
                'name'      => 'Create Onboard',
            ],
            [
                'slug'      => 'onboard.onboard.edit',
                'name'      => 'Update Onboard',
            ],
            [
                'slug'      => 'onboard.onboard.delete',
                'name'      => 'Delete Onboard',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/onboard/onboard',
                'name'        => 'Onboard',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/onboard/onboard',
                'name'        => 'Onboard',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'onboard',
                'name'        => 'Onboard',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Onboard',
                'module'    => 'Onboard',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'onboard.onboard.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
