Lavalite package that provides onboard management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `zinginternal/onboard`.

    "zinginternal/onboard": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Zinginternal\Onboard\Providers\OnboardServiceProvider::class,

And also add it to alias

    'Onboard'  => Zinginternal\Onboard\Facades\Onboard::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Zinginternal\\Onboard\\Seeders\\OnboardTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Zinginternal\Onboard\Providers\OnboardServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Zinginternal\Onboard\Providers\OnboardServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Zinginternal\Onboard\Providers\OnboardServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/onboard/{modulename}

**User**

    http://path-to-route-folder/user/onboard/{modulename}

**Public**

    http://path-to-route-folder/onboards


### API endpoints

**List**

    http://path-to-route-folder/api/user/onboard/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/onboard/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/onboard/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/onboard/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/onboard/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/onboard/{modulename}/{slug}
    METHOD: GET