<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for onboard in onboard package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  onboard module in onboard package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Onboard',
    'names' => 'Onboards',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Onboards',
        'sub' => 'Onboards'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'web_service'         => ['zing_website','hosting_only','order_button'],
            'domain_plan'         => ['.site','.website','.com_and_other'],
            'hosting_only_type'   => ['add_a_record','zing_as_user'],
            'qr_from_zing'        => ['Yes','No'],
            'third_party_delivery' => ['No','Yes'],
            'rest_catering'       => ['Yes','No'],
            'tablet_plan'         => ['zing_tablet','self_tablet'],
            'marketing_service'   => ['Yes','No'],
            'have_gmb'            => ['Yes','No'],
            'phone_service'       => ['Yes','No'],
            'restaurant_app_plan' => ['quarter','annual'],
            'premium_marketing'   => ['Yes','No'],
            'stock_images'        => ['Yes','No'],
            'rest_status'         => ['Onboarding','Google Access','Account Change Requested','Live','Non Active'],
            'review_mail_sent'    => ['No','Yes'],
            'welcome_mail_sent'   => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'restaurant_id'              => 'Please enter restaurant id',
        'web_service'                => 'Please select web service',
        'domain_plan'                => 'Please select domain plan',
        'hosting_only_type'          => 'Please select hosting only type',
        'web_name'                   => 'Please enter web name',
        'web_email'                  => 'Please enter web email',
        'web_phone'                  => 'Please enter web phone',
        'web_notes'                  => 'Please enter web notes',
        'menu_image'                 => 'Please enter menu image',
        'menu_link'                  => 'Please enter menu link',
        'menu_notes'                 => 'Please enter menu notes',
        'qr_from_zing'               => 'Please select qr from zing',
        'third_party_delivery'        => 'Please select third party delivery',
        'rest_catering'              => 'Please select rest catering',
        'tablet_plan'                => 'Please select tablet plan',
        'promo_code'                 => 'Please enter promo code',
        'setup_fee'                  => 'Please enter setup fee',
        'addon_device'               => 'Please enter addon device',
        'marketing_service'          => 'Please select marketing service',
        'popular_menu_items'         => 'Please enter popular menu items',
        'have_gmb'                   => 'Please select have gmb',
        'phone_service'              => 'Please select phone service',
        'phone_custom_content'        => 'Please enter phone custom content',
        'additional_notes'           => 'Please enter additional notes',
        'restaurant_app_plan'        => 'Please select restaurant app plan',
        'app_fee'                    => 'Please enter app fee',
        'addon_equipment'            => 'Please enter addon equipment',
        'premium_marketing'          => 'Please select premium marketing',
        'catering_menu_link'         => 'Please enter catering menu link',
        'catering_menu_image'        => 'Please enter catering menu image',
        'stock_images'               => 'Please select stock images',
        'images_of_food'             => 'Please enter images of food',
        'food_image_notes'           => 'Please enter food image notes',
        'seo_phrases'                => 'Please enter seo phrases',
        'support_checklist'          => 'Please enter support checklist',
        'rest_status'                => 'Please select rest status',
        'support_notes'              => 'Please enter support notes',
        'review_mail_html'           => 'Please enter review mail html',
        'review_mail_sent'           => 'Please select review mail sent',
        'welcome_mail_html'          => 'Please enter welcome mail html',
        'welcome_mail_sent'          => 'Please select welcome mail sent',
        'account_manager_id'         => 'Please enter account manager id',
        'assigned_user_id'           => 'Please enter assigned user id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'restaurant_id'              => 'Restaurant id',
        'web_service'                => 'Web service',
        'domain_plan'                => 'Domain plan',
        'hosting_only_type'          => 'Hosting only type',
        'web_name'                   => 'Web name',
        'web_email'                  => 'Web email',
        'web_phone'                  => 'Web phone',
        'web_notes'                  => 'Web notes',
        'menu_image'                 => 'Menu image',
        'menu_link'                  => 'Menu link',
        'menu_notes'                 => 'Menu notes',
        'qr_from_zing'               => 'Qr from zing',
        'third_party_delivery'        => 'Third party delivery',
        'rest_catering'              => 'Rest catering',
        'tablet_plan'                => 'Tablet plan',
        'promo_code'                 => 'Promo code',
        'setup_fee'                  => 'Setup fee',
        'addon_device'               => 'Addon device',
        'marketing_service'          => 'Marketing service',
        'popular_menu_items'         => 'Popular menu items',
        'have_gmb'                   => 'Have gmb',
        'phone_service'              => 'Phone service',
        'phone_custom_content'        => 'Phone custom content',
        'additional_notes'           => 'Additional notes',
        'restaurant_app_plan'        => 'Restaurant app plan',
        'app_fee'                    => 'App fee',
        'addon_equipment'            => 'Addon equipment',
        'premium_marketing'          => 'Premium marketing',
        'catering_menu_link'         => 'Catering menu link',
        'catering_menu_image'        => 'Catering menu image',
        'stock_images'               => 'Stock images',
        'images_of_food'             => 'Images of food',
        'food_image_notes'           => 'Food image notes',
        'seo_phrases'                => 'Seo phrases',
        'support_checklist'          => 'Support checklist',
        'rest_status'                => 'Rest status',
        'support_notes'              => 'Support notes',
        'review_mail_html'           => 'Review mail html',
        'review_mail_sent'           => 'Review mail sent',
        'welcome_mail_html'          => 'Welcome mail html',
        'welcome_mail_sent'          => 'Welcome mail sent',
        'account_manager_id'         => 'Account manager id',
        'assigned_user_id'           => 'Assigned user id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],
];
