<?php

namespace Zinginternal\Onboard\Forms;

use Litepie\Form\FormInterpreter;

class Onboard extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('onboard/onboard/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('onboard/onboard/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('onboard/onboard'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('onboard/onboard'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('onboard/onboard'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('onboard/onboard'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('onboard::onboard.label.name'),
                "placeholder" => trans('onboard::onboard.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('onboard::onboard.label.created_at'),
            'name' => trans('onboard::onboard.label.name'),
            'status' => trans('onboard::onboard.label.status'),
        ];
        self::$groups = [
            'main' => trans('onboard::onboard.groups.main'),
            'details' => trans('onboard::onboard.groups.details'),
            'images' => trans('onboard::onboard.groups.images'),
            'settings' => trans('onboard::onboard.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('onboard::onboard.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('onboard::onboard.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('onboard::onboard.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('onboard::onboard.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'restaurant_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('onboard::onboard.label.restaurant_id'),
                "placeholder" => trans('onboard::onboard.placeholder.restaurant_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'web_service' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.web_service'),
                "placeholder" => trans('onboard::onboard.placeholder.web_service'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'domain_plan' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.domain_plan'),
                "placeholder" => trans('onboard::onboard.placeholder.domain_plan'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'hosting_only_type' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.hosting_only_type'),
                "placeholder" => trans('onboard::onboard.placeholder.hosting_only_type'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'web_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.web_name'),
                "placeholder" => trans('onboard::onboard.placeholder.web_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'web_email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.web_email'),
                "placeholder" => trans('onboard::onboard.placeholder.web_email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'web_phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.web_phone'),
                "placeholder" => trans('onboard::onboard.placeholder.web_phone'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'web_notes' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.web_notes'),
                "placeholder" => trans('onboard::onboard.placeholder.web_notes'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'menu_image' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.menu_image'),
                "placeholder" => trans('onboard::onboard.placeholder.menu_image'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'menu_link' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.menu_link'),
                "placeholder" => trans('onboard::onboard.placeholder.menu_link'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'menu_notes' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.menu_notes'),
                "placeholder" => trans('onboard::onboard.placeholder.menu_notes'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'qr_from_zing' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.qr_from_zing'),
                "placeholder" => trans('onboard::onboard.placeholder.qr_from_zing'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'third_party_delivery' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.third_party_delivery'),
                "placeholder" => trans('onboard::onboard.placeholder.third_party_delivery'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'rest_catering' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.rest_catering'),
                "placeholder" => trans('onboard::onboard.placeholder.rest_catering'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tablet_plan' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.tablet_plan'),
                "placeholder" => trans('onboard::onboard.placeholder.tablet_plan'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'promo_code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.promo_code'),
                "placeholder" => trans('onboard::onboard.placeholder.promo_code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'setup_fee' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('onboard::onboard.label.setup_fee'),
                "placeholder" => trans('onboard::onboard.placeholder.setup_fee'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'addon_device' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.addon_device'),
                "placeholder" => trans('onboard::onboard.placeholder.addon_device'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'marketing_service' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.marketing_service'),
                "placeholder" => trans('onboard::onboard.placeholder.marketing_service'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'popular_menu_items' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.popular_menu_items'),
                "placeholder" => trans('onboard::onboard.placeholder.popular_menu_items'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'have_gmb' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.have_gmb'),
                "placeholder" => trans('onboard::onboard.placeholder.have_gmb'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone_service' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.phone_service'),
                "placeholder" => trans('onboard::onboard.placeholder.phone_service'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone_custom_content' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.phone_custom_content'),
                "placeholder" => trans('onboard::onboard.placeholder.phone_custom_content'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'additional_notes' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.additional_notes'),
                "placeholder" => trans('onboard::onboard.placeholder.additional_notes'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'restaurant_app_plan' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.restaurant_app_plan'),
                "placeholder" => trans('onboard::onboard.placeholder.restaurant_app_plan'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'app_fee' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('onboard::onboard.label.app_fee'),
                "placeholder" => trans('onboard::onboard.placeholder.app_fee'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'addon_equipment' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.addon_equipment'),
                "placeholder" => trans('onboard::onboard.placeholder.addon_equipment'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'premium_marketing' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.premium_marketing'),
                "placeholder" => trans('onboard::onboard.placeholder.premium_marketing'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'catering_menu_link' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.catering_menu_link'),
                "placeholder" => trans('onboard::onboard.placeholder.catering_menu_link'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'catering_menu_image' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.catering_menu_image'),
                "placeholder" => trans('onboard::onboard.placeholder.catering_menu_image'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'stock_images' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.stock_images'),
                "placeholder" => trans('onboard::onboard.placeholder.stock_images'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images_of_food' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.images_of_food'),
                "placeholder" => trans('onboard::onboard.placeholder.images_of_food'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'food_image_notes' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.food_image_notes'),
                "placeholder" => trans('onboard::onboard.placeholder.food_image_notes'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seo_phrases' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.seo_phrases'),
                "placeholder" => trans('onboard::onboard.placeholder.seo_phrases'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'support_checklist' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.support_checklist'),
                "placeholder" => trans('onboard::onboard.placeholder.support_checklist'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'rest_status' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.rest_status'),
                "placeholder" => trans('onboard::onboard.placeholder.rest_status'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'support_notes' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.support_notes'),
                "placeholder" => trans('onboard::onboard.placeholder.support_notes'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'review_mail_html' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.review_mail_html'),
                "placeholder" => trans('onboard::onboard.placeholder.review_mail_html'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'review_mail_sent' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.review_mail_sent'),
                "placeholder" => trans('onboard::onboard.placeholder.review_mail_sent'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'welcome_mail_html' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('onboard::onboard.label.welcome_mail_html'),
                "placeholder" => trans('onboard::onboard.placeholder.welcome_mail_html'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'welcome_mail_sent' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('onboard::onboard.label.welcome_mail_sent'),
                "placeholder" => trans('onboard::onboard.placeholder.welcome_mail_sent'),
                "rules" => '',
                "options" => function(){
                    return [];
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'account_manager_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('onboard::onboard.label.account_manager_id'),
                "placeholder" => trans('onboard::onboard.placeholder.account_manager_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'assigned_user_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('onboard::onboard.label.assigned_user_id'),
                "placeholder" => trans('onboard::onboard.placeholder.assigned_user_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
